## fll-live-initscripts 4.4.45

=== Makefile ===
DIRS := bin man
INIT := $(notdir $(wildcard debian/*.init))

all: $(DIRS:%=all-%)
all-%:
	$(MAKE) -C $* all

clean: $(DIRS:%=clean-%)
clean-%:
	$(MAKE) -C $* clean

distclean: clean

test: $(INIT:%=test-%)
test-%:
	$(info checking $* ...)
	@dash -n debian/$*
	@checkbashisms -p debian/$*

=== man/Makefile ===
MANPAGE := $(patsubst %.txt,%,$(wildcard *.txt))

all: man

man: $(MANPAGE:%=man-%)
man-%: %.txt
	a2x -d manpage -f manpage $< 2>/dev/null

clean: $(MANPAGE:%=clean-%)
clean-%:
	$(RM) $* $*.xml

distclean: clean

## fll-live-initscripts 1.0.3~tux1

=== debian/changelog ===
fll-live-initscripts (1.0.3~tux1) testing; urgency=medium

  * deactivate Nvidia hack

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Wed, 04 Feb 2026 17:26:57 +0100

fll-live-initscripts (1.0.2~tux1) testing; urgency=medium

  * hopefully nvidia then works

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 19 Nov 2025 16:25:30 +0100

fll-live-initscripts (1.0.1~tux2) testing; urgency=medium

  * fix script

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 19 Nov 2025 16:00:31 +0100

fll-live-initscripts (1.0.1~tux1) testing; urgency=medium

  * add nvidia autoswitch open/closed"

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 19 Nov 2025 14:51:06 +0100

fll-live-initscripts (1.0.0~tux2) testing; urgency=medium

  * remove cpufreq from depends, use linux-cpupower instead

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 12 Mar 2025 13:59:26 +0100

fll-live-initscripts (1.0.0~tux1) testing; urgency=medium

  * Rebuild for tebiian.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 11 Mar 2025 12:29:41 +0100

=== debian/control ===
Source: fll-live-initscripts
Maintainer: Torsten Wohlfarth <two@tuxedo.de>
XSBC-Original-Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 11),
               asciidoc-base,
               docbook,
               gengetopt,
               xsltproc,
               docbook-xml,
               docbook-xsl,
               devscripts,
               pkg-config,
               libblkid-dev,
               libudev-dev,
               libxml2-utils
Standards-Version: 4.2.1
Vcs-Browser: https://gitlab.com/tuxedocomputers/development/tuxedo_os/LiveIsoPackages/tuxedo-fll-live-initscripts

Package: distro-defaults
Architecture: amd64
Depends: ${misc:Depends}
Description: set various default options
 This seemingly empty package has much influence on the system and update
 behaviour of the fll live Linux utilities. It's configuration data is
 dynamically created at distro build time.

Package: fll-live-initscripts
Architecture: amd64
Depends: ${misc:Depends},
 adduser,
 console-setup,
 distro-defaults,
 eject,
 fll-live-utils,
 procps,
 keyboard-configuration,
 lsb-base,
 linux-cpupower,
 systemd-sysv (>= 217-2~)
Recommends: tzdata
Description: fll live media sysv initscripts
 A set of initscripts suitable for managing the SysV-Init boot sequence of the
 live media generated by code from the F.U.L.L.S.T.O.R.Y project.
 .
 This is a FULLSTORY live-only package and must not be installed to an
 ordinary system.

Package: fll-live-utils
Architecture: amd64
Depends: ${shlibs:Depends},
 ${misc:Depends},
 udev
Description: fll live utilities
 A set of tools for use by fll-live-initscripts.
 .
 This is a FULLSTORY live-only package and should not be installed to an
 ordinary system.

=== debian/rules ===
#!/usr/bin/make -f

# contrary to the documentation, compat level 10 doesn't enable  bindnow yet
DEB_BUILD_OPTIONS := noddebs
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_installinit:
	dh_installinit --package=fll-live-initscripts --no-start --name=fll-reboot
	dh_installinit --package=fll-live-initscripts --no-start --name=fll-xorgconfig
	dh_installinit --package=fll-live-initscripts --no-start --name=fll-calamares
	dh_installinit

override_dh_systemd_enable:
	# dh_systemd_enable --package=fll-live-initscripts --name=fll-networkd-one
	dh_systemd_enable --package=fll-live-initscripts --name=fll-snakeoil-cert
	dh_systemd_enable --package=fll-live-initscripts --name=fll-live
	dh_systemd_enable --package=fll-live-initscripts --name=fll-cmdline
	dh_systemd_enable --package=fll-live-initscripts --name=fll-adduser
	dh_systemd_enable --package=fll-live-initscripts --name=fll-locales
	dh_systemd_enable --package=fll-live-initscripts --name=fll-xdm
	dh_systemd_enable

override_dh_systemd_start:
	# dh_systemd_start --package=fll-live-initscripts --no-start fll-networkd-one.service
	dh_systemd_start --package=fll-live-initscripts --no-start fll-snakeoil-cert.service
	dh_systemd_start --package=fll-live-initscripts --no-start fll-live.service
	dh_systemd_start --package=fll-live-initscripts --no-start fll-cmdline.service
	dh_systemd_start --package=fll-live-initscripts --no-start fll-adduser.service
	dh_systemd_start --package=fll-live-initscripts --no-start fll-locales.service
	dh_systemd_start --package=fll-live-initscripts --no-start fll-xdm.service
	dh_systemd_start

## fll-live-initscripts 4.4.13.6

=== debian/changelog ===
fll-live-initscripts (4.4.13.6) unstable; urgency=medium

  * Acquire::Check-Date=false as we don't have network in some cases 

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Feb 2019 20:16:24 +0100

fll-live-initscripts (4.4.13.5) unstable; urgency=medium

  * setupcon --save

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Feb 2019 20:04:12 +0100

fll-live-initscripts (4.4.13.4) unstable; urgency=medium

  * fixed fll_live_cmdline

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Feb 2019 19:58:01 +0100

fll-live-initscripts (4.4.13.3) unstable; urgency=medium

  * trusted and insecure allowed

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Feb 2019 18:40:00 +0100

fll-live-initscripts (4.4.13.2) unstable; urgency=medium

  * locales before console-setup.service

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Feb 2019 03:47:25 +0100

fll-live-initscripts (4.4.13.1) unstable; urgency=medium

  * back to compat 10

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Nov 2018 00:08:53 +0100

fll-live-initscripts (4.4.13) unstable; urgency=medium

  * sudo su -> sudo su - 

 -- Alf Gaida <agaida@siduction.org>  Sun, 25 Nov 2018 23:05:43 +0100

fll-live-initscripts (4.4.12) unstable; urgency=medium

  * added dbgsym repos (Closes: #2)

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Oct 2017 17:25:08 +0200

fll-live-initscripts (4.4.11) unstable; urgency=medium

  * fixed a typo on extra.list generation

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 12:43:55 +0200

fll-live-initscripts (4.4.10) unstable; urgency=medium

  * added some commented out entries to debian.list and siduction.list 

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 01:17:01 +0200

fll-live-initscripts (4.4.9) unstable; urgency=medium

  * fixed typo : -> ; 

 -- Alf Gaida <agaida@siduction.org>  Fri, 07 Apr 2017 18:30:26 +0200

fll-live-initscripts (4.4.8) unstable; urgency=medium

  * provide liquorix.list for i386 builds with liquorix kernels

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Apr 2017 23:49:26 +0200

fll-live-initscripts (4.4.7) unstable; urgency=medium

  * fixed user and session replacement with sed

 -- Alf Gaida <agaida@siduction.org>  Wed, 01 Mar 2017 23:30:40 +0100

fll-live-initscripts (4.4.6) unstable; urgency=medium

  * revert a faulty upload

 -- Alf Gaida <agaida@siduction.org>  Mon, 20 Feb 2017 02:35:47 +0100

fll-live-initscripts (4.4.5.2) unstable; urgency=medium

  * fix sddm autologin handling 

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Jan 2017 22:34:16 +0100

fll-live-initscripts (4.4.5.1) unstable; urgency=medium

  * some modifications for compat 10

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Jan 2017 17:42:07 +0100

fll-live-initscripts (4.4.5) unstable; urgency=medium

  * major clean up and get closer with upstream

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Jan 2017 16:59:23 +0100

fll-live-initscripts (4.4.4.12) unstable; urgency=medium

  * new version, no changes

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Jan 2017 23:55:15 +0100

fll-live-initscripts (4.4.4.10) unstable; urgency=medium

  * set the themes in the right section

 -- Alf Gaida <agaida@siduction.org>  Wed, 31 Aug 2016 01:10:52 +0200

fll-live-initscripts (4.4.4.9) unstable; urgency=medium

  * set sddm- and cursor-theme 

 -- Alf Gaida <agaida@siduction.org>  Tue, 30 Aug 2016 23:30:39 +0200

fll-live-initscripts (4.4.4.8) unstable; urgency=medium

  * update sources, closes #1898
  * add myself to uploaders

 -- Jens Theede <musca@siduction.org>  Mon, 29 Aug 2016 00:39:38 +0200

fll-live-initscripts (4.4.4.7) unstable; urgency=medium

  * changed order of set_locale with set_console in fll-locales

 -- Angelescu Ovidiu <convbsd@siduction.org>  Tue, 16 Aug 2016 17:20:03 +0300

fll-live-initscripts (4.4.4.6) unstable; urgency=medium

  * fixed setgnomeschemas

 -- Angelescu Ovidiu <convbsd@siduction.org>  Tue, 16 Aug 2016 15:53:03 +0300

fll-live-initscripts (4.4.4.5) unstable; urgency=medium

  * removed setgnomekbd from fll-locales

 -- Angelescu Ovidiu <convbsd@siduction.org>  Tue, 16 Aug 2016 12:50:03 +0300

fll-live-initscripts (4.4.4.4) unstable; urgency=medium

  * changed keytable= for gnome

 -- Angelescu Ovidiu <convbsd@siduction.org>  Tue, 16 Aug 2016 12:48:07 +0300

fll-live-initscripts (4.4.4.3) unstable; urgency=medium

  * sddm Relogin=false

 -- Alf Gaida <agaida@siduction.org>  Sat, 13 Aug 2016 10:48:07 +0200

fll-live-initscripts (4.4.4.2) unstable; urgency=medium

  * Fixed typo in fixes url  

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Aug 2016 00:39:25 +0200

fll-live-initscripts (4.4.4.1) unstable; urgency=medium

  * Catch up with upstream . xorg-config is missed, will do later

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Aug 2016 00:14:08 +0200

fll-live-initscripts (4.4.4) unstable; urgency=medium

  [ Stefan Lippers-Hollmann ]
  * NOT RELEASED YET

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Aug 2016 00:13:33 +0200

fll-live-initscripts (4.4.3) unstable; urgency=medium

  * slightly refactor wayland detection.
  * fix typo.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 30 Jul 2016 00:22:25 +0200

fll-live-initscripts (4.4.2) unstable; urgency=medium

  [ Niall Walsh ]
  * change kde x-window-manager alternative to kwin_x11

  [ Stefan Lippers-Hollmann ]
  * prepare for kwin_wayland.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 30 Jul 2016 00:04:49 +0200

fll-live-initscripts (4.4.1) unstable; urgency=medium

  * update linitan overrides.
  * bump standards version to 3.9.8, no changes necessary.
  * distro-defaults: no need to ship /etc/insserv/overrides/ anymore.
  * use https for the Vcs-Git URI.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Jul 2016 21:54:26 +0200

fll-live-initscripts (4.4.0) unstable; urgency=medium

  * make snakeoil-cert service conditional on make-ssl-cert.
  * add fll-live and fll-cmdline services.
  * switch fstab, adduser, xdm and locales to services.



=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 # contrary to the documentation, compat level 10 doesn't enable  bindnow yet
-DEB_BUILD_OPTIONS := noddebs
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -18,6 +17,7 @@
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-snakeoil-cert
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-live
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-cmdline
+	dh_systemd_enable --package=fll-live-initscripts --name=fll-fstab
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-adduser
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-locales
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-xdm
@@ -28,6 +28,7 @@
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-snakeoil-cert.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-live.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-cmdline.service
+	dh_systemd_start --package=fll-live-initscripts --no-start fll-fstab.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-adduser.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-locales.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-xdm.service

## fll-live-initscripts 4.4.45

=== debian/changelog ===
fll-live-initscripts (4.4.45) unstable; urgency=medium

  [ Axel Konrad ]
  * Secure the previous commit

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 17 Oct 2025 15:47:37 +0200

fll-live-initscripts (4.4.44) unstable; urgency=medium

  * Remove obsolete *.list files.

 -- Axel Konrad <ak-li@siduction.org>  Sun, 17 Aug 2025 16:16:48 +0100

fll-live-initscripts (4.4.43) unstable; urgency=medium

  * fix shebang
  * Transfer from mainstream

 -- Axel Konrad <ak-li@siduction.org>  Wed, 13 Aug 2025 16:16:48 +0100

fll-live-initscripts (4.4.42) unstable; urgency=medium

  * Merge pull request #2 from siduction/deb822

 -- Ferdinand Thommes <devil@siduction.org>  Tue, 12 Aug 2025 16:16:48 +0100

fll-live-initscripts (4.4.41) unstable; urgency=medium

  * fix URIs with 'extra' and 'fixes'

 -- Axel Konrad <ak-li@siduction.org>  Mon, 11 Aug 2025 16:16:48 +0100

fll-live-initscripts (4.4.40) unstable; urgency=medium

  * sources format DEB822
  * change to format deb822

 -- Axel Konrad <ak-li@siduction.org>  Sun, 10 Aug 2025 16:16:48 +0100

fll-live-initscripts (4.4.39) unstable; urgency=medium

  * fix space and tab in fll_locales
  * updated fll_locales partially from https://github.com/fullstory/
  * updated locales.csv from https://github.com/fullstory/ and fix de_DE

 -- Axel Konrad <ak-li@siduction.org>  Mon, 04 Aug 2025 16:16:48 +0100

fll-live-initscripts (4.4.38) unstable; urgency=medium

  * fix typo in generating sources

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 04 Nov 2023 16:16:48 +0100

fll-live-initscripts (4.4.37) unstable; urgency=medium

  * fix sources

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 22 Oct 2023 17:09:56 +0200

fll-live-initscripts (4.4.36) unstable; urgency=medium

  * try to fix wrong timezone

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 13 Mar 2023 21:18:24 +0100

fll-live-initscripts (4.4.35) unstable; urgency=medium

  * sources.list for debian: non-free ==> non-free-firmware

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 30 Jan 2023 15:19:04 +0100

fll-live-initscripts (4.4.34) unstable; urgency=medium

  * reintegrate sbin/fll_fstab_generator

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 21 Nov 2022 20:07:42 +0100

fll-live-initscripts (4.4.33) unstable; urgency=medium

  * remove fstab_generator

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 04 Aug 2022 10:40:21 +0200

fll-live-initscripts (4.4.32) unstable; urgency=medium

  * fix time

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 01 Aug 2022 15:11:41 +0200

fll-live-initscripts (4.4.31) unstable; urgency=medium

  * fix repos for mirror roulette

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 21:57:01 +0100

fll-live-initscripts (4.4.30) unstable; urgency=medium

  * fix another typo

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 21:00:38 +0100

fll-live-initscripts (4.4.29) unstable; urgency=medium

  * fix typo

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 20:48:56 +0100

fll-live-initscripts (4.4.28) unstable; urgency=medium

  * fix fll_xdm i've made a mistake

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 19:40:56 +0100

fll-live-initscripts (4.4.27) unstable; urgency=medium

  * fix typo

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 18:04:48 +0100

fll-live-initscripts (4.4.26) unstable; urgency=medium

  * fix fll_xdm

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 17:43:39 +0100

fll-live-initscripts (4.4.25) unstable; urgency=medium

  * removed sddm part in fll-xdm

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 28 Nov 2021 11:28:00 +0100

fll-live-initscripts (4.4.24) unstable; urgency=medium

  * fix fixes.list for live medium

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 19 Jun 2021 20:45:38 +0200

fll-live-initscripts (4.4.23) unstable; urgency=medium

  * package mirror updtaes by vinzv

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 14 Jun 2021 21:55:43 +0200

fll-live-initscripts (4.4.22) unstable; urgency=medium

  * fix siduction mirror, add mirrors to fixes.list

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 14 Jun 2021 21:10:50 +0200

fll-live-initscripts (4.4.21) unstable; urgency=medium

  * remove all fixclock things, it doesn't work

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 10 Feb 2021 21:01:27 +0100

fll-live-initscripts (4.4.20) unstable; urgency=medium

  * fix typo + package

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 10 Feb 2021 20:10:11 +0100

fll-live-initscripts (4.4.19) unstable; urgency=medium

  * packaging the fixclock.desktop

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 10 Feb 2021 19:05:44 +0100

fll-live-initscripts (4.4.18) unstable; urgency=medium

  * remove timedatectl set-timezone CET to fll-locales

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 10 Feb 2021 18:29:56 +0100

fll-live-initscripts (4.4.17) unstable; urgency=medium

  * add timedatectl set-timezone $(timedatectl | awk '/Local/{printf $6}') to fll-locales

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 10 Feb 2021 16:09:51 +0100

fll-live-initscripts (4.4.16) unstable; urgency=medium

  * revert "remove fll-xdm.service, seems obsolete"

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 09 Feb 2021 19:17:57 +0100

fll-live-initscripts (4.4.15)  unstable; urgency=medium

  * remove fll-xdm.service, seems obsolete

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 06 Feb 2021 15:25:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: fll-live-initscripts
-Maintainer: Torsten Wohlfarth <two@tuxedo.de>
-XSBC-Original-Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
+Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
+Uploaders: Alf Gaida <agaida@siduction.org>,
+           Angelescu Ovidiu <convbsd@siduction.org>,
+           Jens Theede <musca@siduction.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -16,10 +18,11 @@
                libudev-dev,
                libxml2-utils
 Standards-Version: 4.2.1
-Vcs-Browser: https://gitlab.com/tuxedocomputers/development/tuxedo_os/LiveIsoPackages/tuxedo-fll-live-initscripts
+Vcs-Browser: https://git.siduction.org/extra/fll-live-initscripts.git
+Vcs-Git: https://git.siduction.org/extra/fll-live-initscripts.git
 
 Package: distro-defaults
-Architecture: amd64
+Architecture: all
 Depends: ${misc:Depends}
 Description: set various default options
  This seemingly empty package has much influence on the system and update
@@ -27,17 +30,17 @@
  dynamically created at distro build time.
 
 Package: fll-live-initscripts
-Architecture: amd64
+Architecture: all
 Depends: ${misc:Depends},
  adduser,
  console-setup,
+ cpufrequtils,
  distro-defaults,
  eject,
  fll-live-utils,
  procps,
  keyboard-configuration,
  lsb-base,
- linux-cpupower,
  systemd-sysv (>= 217-2~)
 Recommends: tzdata
 Description: fll live media sysv initscripts
@@ -48,7 +51,7 @@
  ordinary system.
 
 Package: fll-live-utils
-Architecture: amd64
+Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  udev

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-snakeoil-cert
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-live
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-cmdline
-	dh_systemd_enable --package=fll-live-initscripts --name=fll-fstab
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-adduser
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-locales
 	dh_systemd_enable --package=fll-live-initscripts --name=fll-xdm
@@ -28,7 +27,6 @@
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-snakeoil-cert.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-live.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-cmdline.service
-	dh_systemd_start --package=fll-live-initscripts --no-start fll-fstab.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-adduser.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-locales.service
 	dh_systemd_start --package=fll-live-initscripts --no-start fll-xdm.service

## fll-live-initscripts 4.4.46

=== debian/changelog ===
fll-live-initscripts (4.4.46) unstable; urgency=medium

  [ Axel Konrad ]
  * write_deb822(), remove leading tab

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 20 Oct 2025 23:51:12 +0200

## fll-live-initscripts 6.0.16

=== Makefile ===
DIRS := bin man
INIT := $(notdir $(wildcard share/fll-live-initscripts/fll_*))

all: $(DIRS:%=all-%)
all-%:
	$(MAKE) -C $* all

clean: $(DIRS:%=clean-%)
clean-%:
	$(MAKE) -C $* clean

distclean: clean

test: $(INIT:%=test-%)
test-%:
	$(info checking $* ...)
	@dash -n share/fll-live-initscripts/$*
	@checkbashisms -p share/fll-live-initscripts/$*

=== bin/Makefile ===
CFLAGS ?= -O2 -g -Wall
LIBS_UDEV = $(shell pkg-config --libs libudev)
LIBS_BLKID = $(shell pkg-config --libs blkid)
ifdef USE_LIBPIPELINE
LIBS_PIPELINE = $(shell pkg-config --libs libpipeline)
CFLAGS += -DUSE_LIBPIPELINE
endif
PROGS = fll_fstab_generator fll_blockdev_detect

all: $(PROGS)

fll_fstab_cmdline.c: fll_fstab_generator.ggo
	gengetopt --input=$< --file-name=fll_fstab_cmdline \
		  --unamed-opts=DEVICES

fll_fstab_cmdline.o: fll_fstab_cmdline.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -c -o $@ $<

fll_fstab_generator: fll_fstab_cmdline.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $< -o $@ $@.c $(LIBS_UDEV) $(LIBS_BLKID)

fll_blockdev_cmdline.c: fll_blockdev_detect.ggo
	gengetopt --input=$< --file-name=fll_blockdev_cmdline \
		  --unamed-opts=ARGS

fll_blockdev_cmdline.o: fll_blockdev_cmdline.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -c -o $@ $<

fll_blockdev_detect: fll_blockdev_cmdline.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $< -o $@ $@.c $(LIBS_UDEV) $(LIBS_PIPELINE)

clean:
	$(RM) $(PROGS) *_cmdline.*

=== debian/changelog ===
fll-live-initscripts (6.0.16) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_homectl: remove untested calamres hack.
  * fll_home: conditionally write /etc/xdg/kscreenlockerrc.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 17 Oct 2025 06:10:00 +0200

fll-live-initscripts (6.0.15) unstable; urgency=medium

  [ Kel Modderman ]
  * Add lxqt-openbox as an alias for lxqt-x11.
  * Add cinnamon-x11 as an alias for cinnamon.
  * Add kodi-gbm as an alias for kodi.
  * Add xfce-x11 as an alias for xfce.
  * desktop: set window_manager=openbox in lxqt session.conf.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 06 Aug 2025 13:08:48 +0200

fll-live-initscripts (6.0.14) unstable; urgency=medium

  [ Kel Modderman ]
  * Remove insserv (rip) override logic from debian/distro-
    defaults.postinst.
  * Ensure all desktop settings are applied for all installed desktop
    environments, and not just the one selected as default or by
    cheatcode.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 03 Aug 2025 04:43:44 +0200

fll-live-initscripts (6.0.13) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_desktop: clarify budgie and lxqt desktop= cheatcodes.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 22 Jul 2025 05:22:35 +0200

fll-live-initscripts (6.0.12) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_desktop: remove _greetd group "fixes".

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 18 Jul 2025 06:46:23 +0200

fll-live-initscripts (6.0.11) unstable; urgency=medium

  [ Kel Modderman ]
  * Refactor share/fll-live-initscripts scripts and adjust Makefile for
    shell tests.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jul 2025 18:16:13 +0200

fll-live-initscripts (6.0.10) unstable; urgency=medium

  [ Kel Modderman ]
  * setup_display_manager_autologin: disable the desktopswitch panel plugin
    on lxqt-wayland.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 Jul 2025 06:53:05 +0200

fll-live-initscripts (6.0.9) unstable; urgency=medium

  [ Kel Modderman ]
  * setup_display_manager_autologin: execute before calling adduser so that
    skel configuration preseeding is effective.
  * setup_display_manager_autologin: add hack to set initial Vent-dark
    theme for lxqt-wayland/labwc.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 03 Jul 2025 10:34:09 +0200

fll-live-initscripts (6.0.8) unstable; urgency=medium

  [ Kel Modderman ]
  * Drop lxqt-wayland/labwc rc.xml hack.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 26 Jun 2025 15:15:37 +0200

fll-live-initscripts (6.0.7) unstable; urgency=medium

  [ Kel Modderman ]
  * setup_display_manager_autologin: add hack to set initial Vent-dark
    theme for lxqt-wayland/labwc.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 23 Jun 2025 23:03:29 +0200

fll-live-initscripts (6.0.6) unstable; urgency=medium

  [ Kel Modderman ]
  * Inherit /root dotfile setup from fll-live-initramfs.
  * Add desktop cheatcode handling.
  * Dissolve setup_defaults into setup_display_manager_autologin.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 14 Jun 2025 02:05:24 +0200

fll-live-initscripts (6.0.5) unstable; urgency=medium

  [ Kel Modderman ]
  * Change systemd service file to set WantedBy=multi-user.target.
  * Drop removable device detection from fll_blockdev_detect.
  * Drop libpipeline support from fll_blockdev_detect.

 -- Kel Modderman <kelvmod@gmail.com>  Wed, 11 Jun 2025 16:33:53 +1000

fll-live-initscripts (6.0.4) unstable; urgency=medium

  [ Kel Modderman ]
  * Source distro-defaults if executed explcitly (e.g. by calamares) but
    do not otherwise exit.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 09 Jun 2025 03:04:06 +0200

fll-live-initscripts (6.0.3) unstable; urgency=medium

  [ Kel Modderman ]
  * Purge fll-live.service and make live service units conditional on
    /etc/default/distro.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 09 Jun 2025 02:42:34 +0200

fll-live-initscripts (6.0.2) unstable; urgency=medium

  * drop support for reiserfs (dropped with v6.13) and reiser4 (never merged).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 09 Jun 2025 02:09:49 +0200

fll-live-initscripts (6.0.1) unstable; urgency=medium

  * Kill FLL_MOUNTPOINT.
  * fll-home: make homectl conditional.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 09 Jun 2025 01:25:48 +0200

fll-live-initscripts (6.0.0) unstable; urgency=medium

  [ Kel Modderman ]
  * Reintroduce fll_blockdev_detect.

 -- Kel Modderman <kelvmod@gmail.com>  Sun, 08 Jun 2025 21:39:23 +1000

fll-live-initscripts (5.0.61) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_locales: remove 'list' argument handling.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 09 Jun 2025 01:25:30 +0200

fll-live-initscripts (5.0.60) unstable; urgency=medium

  [ Kel Modderman ]
  * Purge /lib/init/fll these functions are no longer used/useful.
  * fll_locales: remove 'list' argument handling.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 01 Mar 2025 08:17:22 +0100

fll-live-initscripts (5.0.59) unstable; urgency=medium

  [ Kel Modderman ]
  * setup_defaults: update location to fred icon location.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 01 Mar 2025 08:17:01 +0100

fll-live-initscripts (5.0.58) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_locales:
    - retire liveapt
    - do not execute `locale -a twice'
    - remove unnecessary FLL_LANG variable
    - only execute udev trigger for keymap change if not in chroot
    - move console-setup defaults to pyfll
    - rename set_console to set_keytable
    - only run set_locale and set_keytable if same defaults have not already
      been set at build time
  * locales.csv:
    - fix typo for de_DE locale variant (US.utf8 -> en_US.utf8)
    - fix en_US default timezone
    - remove unused model, options and tz columns
    - fll_locale_lang now works agin by virtue of removing the above columns,
      it wasn't adjusted well in the past when columns were inserted


=== debian/control ===
Source: fll-live-initscripts
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Uploaders: Kel Modderman <kelvmod@gmail.com>
Section: misc
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 asciidoc-base,
 docbook,
 gengetopt,
 xsltproc,
 docbook-xml,
 docbook-xsl,
 devscripts,
 pkgconf,
 libblkid-dev,
 libudev-dev,
 libxml2-utils
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/fullstory/fll-live-initscripts
Vcs-Git: https://github.com/fullstory/fll-live-initscripts.git

Package: distro-defaults
Architecture: all
Depends: ${misc:Depends}
Description: set various default options
 This seemingly empty package has much influence on the system and update
 behaviour of the fll live Linux utilities. It's configuration data is
 dynamically created at distro build time.

Package: fll-live-initscripts
Architecture: all
Depends: ${misc:Depends},
 systemd-homed | adduser,
 console-setup,
 distro-defaults,
 eject,
 fll-live-utils,
 login,
 keyboard-configuration,
 jq
Recommends: tzdata
Suggests: fll-live-initscripts-networkd-dummy
Description: fll live media systemd units
 A set of units suitable for managing the systemd boot sequence of the live
 media generated by code from the F.U.L.L.S.T.O.R.Y project.
 .
 This is a FULLSTORY live-only package and must not be installed to an
 ordinary system.

Package: fll-live-initscripts-networkd-dummy
Architecture: all
Depends: ${misc:Depends},
 fll-live-initscripts
Description: fll live networkd default ethernet configuration
 Provides a static ethernet based systemd-networkd configuration for the
 live media generated by code from the F.U.L.L.S.T.O.R.Y project.
 .
 This is an empty dummy package, which creates the systemd-networkd
 configuration as /etc/systemd/network/wired.network and doesn't remove or
 touch it on purge. The configuration can be edited or removed as needed.
 .
 This is a FULLSTORY live-only package and must not be installed to an
 ordinary system.

Package: fll-live-utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 udev
Description: fll live utilities
 A set of tools for use by fll-live-initscripts.
 .
 This is a FULLSTORY live-only package and should not be installed to an
 ordinary system.

=== debian/rules ===
#!/usr/bin/make -f

# contrary to the documentation, compat level 10 doesn't enable  bindnow yet
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_installsystemd:
	dh_installsystemd --package=fll-live-initscripts --no-start --name=fll-snakeoil-cert
	dh_installsystemd --package=fll-live-initscripts --no-start --name=fll-live
	dh_installsystemd --package=fll-live-initscripts --no-start --name=fll-home
	dh_installsystemd --package=fll-live-initscripts --no-start --name=fll-locales
	dh_installsystemd

## fll-live-initscripts 20260129.1

=== bin/Makefile ===
CFLAGS ?= -O2 -g -Wall
LIBS_UDEV = $(shell pkg-config --libs libudev)
LIBS_BLKID = $(shell pkg-config --libs blkid)
ifdef USE_LIBPIPELINE
LIBS_PIPELINE = $(shell pkg-config --libs libpipeline)
CFLAGS += -DUSE_LIBPIPELINE
endif
PROGS = fll_blockdev_detect

all: $(PROGS)

fll_blockdev_cmdline.c: fll_blockdev_detect.ggo
	gengetopt --input=$< --file-name=fll_blockdev_cmdline \
		  --unamed-opts=ARGS

fll_blockdev_cmdline.o: fll_blockdev_cmdline.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -c -o $@ $<

fll_blockdev_detect: fll_blockdev_cmdline.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $< -o $@ $@.c $(LIBS_UDEV) $(LIBS_PIPELINE)

clean:
	$(RM) $(PROGS) *_cmdline.*

=== debian/changelog ===
fll-live-initscripts (20260129.1) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_locales: drop conflict with shutdown.target, do not call
    setupcon, adjust udevadm triger as per keyboard(5).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 29 Jan 2026 20:08:15 +0100

fll-live-initscripts (20260128.1) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_locales: avoid dpkg/debconf when configuring
    /etc/default/keyboard, edit conffile and call setupcon directly.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 28 Jan 2026 18:54:54 +0100

fll-live-initscripts (20260126.2) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_locales: do not bother putting default locale into debconf it is
    redundant.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 27 Jan 2026 13:54:45 +0100

fll-live-initscripts (20260126.1) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_locales: remove noaptlang cheatcode it no longer exists.
  * fll_locales: prefix LANGUAGE variable with FLL_.
  * If no language has been specified by the owner via grub or
    cheatcode, configure calamares to select a country code and guess
    keyboard layout via geoip.
  * Remove localize argument logic and functionality.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Jan 2026 13:16:18 +0100

fll-live-initscripts (20260102.1) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_adduser: properly disable kscreenlockerrc.
  * fll_desktop: make the display manager setup a bit more maintainable
    by using which to inspect PATH rather than hardcoding it.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 02 Jan 2026 23:11:03 +0100

fll-live-initscripts (20251229.1) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_desktop: only update calamares for the desktop determined from
    setup_desktop.
  * fll_desktop: use case insensitive file pattern matching in
    cheatcode.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 29 Dec 2025 00:13:42 +0100

fll-live-initscripts (20251227.1) unstable; urgency=medium

  [ Kel Modderman ]
  * fll_desktop: improve regexp that updates
    /etc/calamares/modules/displaymanager.conf.
  * fll_desktop: fix typo and conclude case statement.
  * fll_desktop: no longer hardcode desktop session and type, instead
    user a heuristic which detects all installed session files and
    attempts to set them up, and finally parses the desktop= cheatcode
    and sets it up again thus making it the active choice.
  * Refactor displaymanager setup to simplify maintenance.
  * fll_desktop: add a blank line before sddm autologin config block.
  * fll_desktop: improve logic to determine desktop exec command for
    clamares update.
  * Adjust find invocations.
  * Use glob when configuring all installed desktops.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 26 Dec 2025 19:58:46 +0100

fll-live-initscripts (20251224.1) unstable; urgency=medium

  [ Kel Modderman ]
  * Have a go at forcing calamres displaymaner.conf configuration to
    align with the desktop cheatcode.
  * Switch to date release version.
  * Purge fll_fstab_generator, it is no longer relevant.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 25 Dec 2025 04:58:08 +0100

fll-live-initscripts (6.0.17) unstable; urgency=medium

  [ Kel Modderman ]
  * Drop eject from depends and update fll-live-utils description to
    mention initramfs.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 23 Dec 2025 03:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
  systemd-homed | adduser,
  console-setup,
  distro-defaults,
- eject,
  fll-live-utils,
  login,
  keyboard-configuration,
@@ -69,7 +68,7 @@
  ${misc:Depends},
  udev
 Description: fll live utilities
- A set of tools for use by fll-live-initscripts.
+ A set of tools for use by fll-live-initramfs and fll-live-initscripts.
  .
  This is a FULLSTORY live-only package and should not be installed to an
  ordinary system.
